/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */
#pragma once

#include "CoreMinimal.h"
#include "AssetTypeActions_Base.h"

class INWORLDRUNTIMEEDITOR_API FAssetActions_InworldCustomEdge : public FAssetTypeActions_Base
{
public:
	FAssetActions_InworldCustomEdge(EAssetTypeCategories::Type InAssetCategory);

	virtual FText GetName() const override;
	virtual FColor GetTypeColor() const override;
	virtual UClass* GetSupportedClass() const override;
	virtual uint32 GetCategories() override;

private:
	EAssetTypeCategories::Type MyAssetCategory;
};